For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all appointments
        • POSTQuery Realtime Appointment Availability
        • POSTCreate an appointment for an applicant
        • POSTCreate an appointment for a lead
        • POSTCreate an appointment for a resident
        • PUTUpdate an appointment for an applicant
        • POSTCancel an appointment for an applicant
        • PUTUpdate an appointment for a lead
        • POSTCancel an appointment for a lead
        • PUTUpdate an appointment for a resident
        • POSTCancel an appointment for a resident
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsAppointments

Cancel an appointment for a lead

POST
/v1/events/appointments/leads/cancel
POST
/v1/events/appointments/leads/cancel
$curl -X POST https://api.propexo.com/v1/events/appointments/leads/cancel \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "lead-7890-appointment-1234"
>}'
1{
2 "job_id": "job-5f8d04a2e7b14c3a9d2f1b6c",
3 "data": {}
4}
Cancel an appointment for a lead
Was this page helpful?
Previous

Update an appointment for a resident

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
event_idstringOptional
The Propexo unique identifier for the event

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error